/*
 * Class TABLE_ITERATION_CURSOR [G#1, POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1785 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1785 [] = {0xFF01,1551,1784,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1785 [] = {0xFF01,1784,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1785 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1785 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1785 [] = {0xFF01,1784,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1785 [] = {0xFF01,1784,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1785 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1785 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1785 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1785 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1785 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1785 [] = {1784,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1785 [] = {0xFF01,1784,0xFFF8,1,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1785 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1785 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1785 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1785 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1785[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1785), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1785), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1785), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1785), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1785), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1785), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1785), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1785), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1785), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1785), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1785), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1785), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1785), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1785), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1785), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1785), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1785), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1785), -1, 0xFFFFFFFF},
};
void Init1785(void)
{
	IDSC(desc_1785, 0, 1784);
	IDSC(desc_1785 + 1, 1, 1784);
	IDSC(desc_1785 + 32, 1309, 1784);
	IDSC(desc_1785 + 34, 1449, 1784);
}


#ifdef __cplusplus
}
#endif
